%global __brp_check_rpaths %{nil}
%global packname  constants
%global packver   1.0.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0.1
Release:          1%{?dist}%{?buildtag}
Summary:          Reference on Constants, Units and Uncertainty

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5.0
Requires:         R-core >= 3.5.0
BuildArch:        noarch

%description
CODATA internationally recommended values of the fundamental physical
constants, provided as symbols for direct use within the R language.
Optionally, the values with uncertainties and/or units are also provided
if the 'errors', 'units' and/or 'quantities' packages are installed. The
Committee on Data for Science and Technology (CODATA) is an
interdisciplinary committee of the International Council for Science which
periodically provides the internationally accepted set of values of the
fundamental physical constants. This package contains the "2018 CODATA"
version, published on May 2019: Eite Tiesinga, Peter J. Mohr, David B.
Newell, and Barry N. Taylor (2020)
<https://physics.nist.gov/cuu/Constants/>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
